Bug 48491 - screen isn't blank for the DPMS standby and suspend state with external VGA
Summary: screen isn't blank for the DPMS standby and suspend state with external VGA
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Daniel Vetter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 23:09 UTC by Ouping Zhang
Modified: 2017-10-06 14:50 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
messages info (164.51 KB, text/plain)
2012-04-09 23:12 UTC, Ouping Zhang
no flags Details
There is no spoon. (1.99 KB, patch)
2012-04-10 01:37 UTC, Chris Wilson
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ouping Zhang 2012-04-09 23:09:48 UTC
System Environment:
--------------------------
Kernel: (drm-intel-next-queued)9c33f85cf3cc3f8717e56d42fd678573ed1727d3
Libdrm:         (master)2.4.33-7-g2f1e2101b4dc0a6dc1c1d1c59c5cc5fbc54b90cf
Mesa:           (master)c6532875493ffe7de9c37924c70ebf6d0472e23d
Xserver:        (master)xorg-server-1.12.0-56-g10cd6fdc431d2d0835c313b2f5bdda6dcea281fd
Xf86_video_intel:(master)2.18.0-185-g0464e93a088a9e8bc29ad8b36b6e12c3dda32ec6

Bug reproduced steps: 
1. start X
2. run the command:xset dpms force standby/suspend

on IVB and SNB, screen isn't blank for the DPMS standby and suspend state with VGA. for HDMI, eDP and LVDS, this issue don't occur, but the DPMS off state works well.
Comment 1 Ouping Zhang 2012-04-09 23:12:31 UTC
Created attachment 59707 [details]
messages info
Comment 2 Daniel Vetter 2012-04-10 00:12:32 UTC
To clarify: Is this a regressions?
Comment 3 Ouping Zhang 2012-04-10 01:13:33 UTC
This issue is not a regession. 
(In reply to comment #2)
> To clarify: Is this a regressions?
Comment 4 Chris Wilson 2012-04-10 01:37:05 UTC
Created attachment 59709 [details] [review]
There is no spoon.
Comment 5 Chris Wilson 2012-04-18 04:58:44 UTC
On drm-intel-next-queued:

commit df0323c42ac35f81b49e25fe04e8e52b9c6f6467
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Tue Apr 17 15:06:33 2012 -0700

    drm/i915: IBX+ doesn't have separate vsync/hsync controls on the VGA DAC
    
    When the PCH split occurred, hw dropped support for separate hsync and
    vsync disable in the VGA DAC.  So add a PCH specific DPMS function that
    just uses the port enable bit for controlling DPMS states.
    
    Before this fix, when anything other than a full DPMS off occurred,
    the VGA port would be left enabled and scanning out while all the other
    heads would turn off as expected.
    
    v2: duplicate encoder helper vtable into pch and gmch versions (Daniel)
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=48491
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    [danvet: s/intel_crt_dpms/gmch_crt_dpms as suggested by Chris.]
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Comment 6 Ouping Zhang 2012-04-18 23:31:40 UTC
Kernel: (drm-intel-next-queued)b98e5240b362e702355ffedba05aeb589dfbcbe2
with the above kerenel, I can't reproduced the issue, it has fixed.

(In reply to comment #5)
> On drm-intel-next-queued:
> commit df0323c42ac35f81b49e25fe04e8e52b9c6f6467
> Author: Jesse Barnes <jbarnes@virtuousgeek.org>
> Date:   Tue Apr 17 15:06:33 2012 -0700
>     drm/i915: IBX+ doesn't have separate vsync/hsync controls on the VGA DAC
>     When the PCH split occurred, hw dropped support for separate hsync and
>     vsync disable in the VGA DAC.  So add a PCH specific DPMS function that
>     just uses the port enable bit for controlling DPMS states.
>     Before this fix, when anything other than a full DPMS off occurred,
>     the VGA port would be left enabled and scanning out while all the other
>     heads would turn off as expected.
>     v2: duplicate encoder helper vtable into pch and gmch versions (Daniel)
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=48491
>     Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Signed-off-by: Jesse Barnes <jbarnes@virtuousgeek.org>
>     [danvet: s/intel_crt_dpms/gmch_crt_dpms as suggested by Chris.]
>     Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Comment 7 Elizabeth 2017-10-06 14:50:31 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.